FROM nginx

COPY nginx-watch.sh /etc/nginx/

RUN apt-get update && apt-get -y install inotify-tools screen

# Watch will restart nginx on every change in configuration files caused by ENGRAVE app
WORKDIR /etc/nginx

RUN chmod +x ./nginx-watch.sh

EXPOSE 80
EXPOSE 443

CMD screen -d -m -t watch sh ./nginx-watch.sh && exec nginx -g 'daemon off;'